Search documentation of polar_express

# PolarExpress.Schemas.MetricsResponse (polar_express v0.1.5)

Copy Markdown View Source

MetricsResponse

Metrics response schema.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.MetricsResponse{
      metrics: PolarExpress.Schemas.Metrics.t() | nil,
      periods: [PolarExpress.Schemas.MetricPeriod.t()] | nil,
      totals: PolarExpress.Schemas.MetricsTotals.t() | nil
    }

- `metrics` - Information about the returned metrics.
- `periods` - List of data for each timestamp.
- `totals` - Totals for the whole selected period.

## Functions

# schema_name()